<template>
  <div align="center">
    <v-simple-table v-if="items.length > 0">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left">ชื่อสถานที่</th>
            <th class="text-left" v-if="role == 'Admin'">ชื่อ Partner</th>
            <th class="text-left">รายได้รวม</th>
            <th class="text-center">รายละเอียด</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in items" :key="index">
            <td>{{ item.locateName }}</td>
            <td v-if="role == 'Admin'">
              <v-chip class="ma-2" color="#1A67C0" dark label outlined>
                <v-icon left> mdi-account-circle </v-icon>
                {{ item | fullName }}
              </v-chip>
            </td>
            <td>{{ item.total }} บาท</td>
            <td class="text-center">
              <v-tooltip left>
                <template v-slot:activator="{ on, attrs }">
                  <v-icon
                    color="info"
                    class="mr-2"
                    v-bind="attrs"
                    v-on="on"
                    large
                    @click="showDialog(item)"
                  >
                    timeline
                  </v-icon>
                </template>
                <span>ดูรายได้ของพื้นที่ {{ item.locateName }}</span>
              </v-tooltip>
              <v-tooltip left>
                <template v-slot:activator="{ on, attrs }">
                  <v-icon
                    color="info"
                    class="mr-2"
                    v-bind="attrs"
                    v-on="on"
                    @click="showIncome(item)"
                    large
                  >
                    pageview
                  </v-icon>
                </template>
                <span>ดูรายละเอียดรายได้ของ Locker</span>
              </v-tooltip>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <h2 v-else v-show="!loading">ไม่มีข้อมูล</h2>
    <Dialog :propDialog="dialog" :propObj="obj" :close.sync="dialog" :propHeader="propHeader" />
  </div>
</template>

<script>
import Dialog from "./Dialog";
export default {
  props: ["items", "loading","propHeader"],
  components: {
    Dialog,
  },
  data() {
    return {
      dialog: false,
      role: this.$store.getters["auth/roleUser"],
      obj: {},
    };
  },
  methods: {
    showDialog(item) {
      this.dialog = true;
      let arr = [];
      for (let i in item.result) {
        let data = {
          title: item.result[i],
          result: parseFloat(item.incomeResult[i]).toFixed(1),
        };
        arr.push(data);
      }
      item.incomes = arr;
      item.path = "/income-locker";
      this.obj = Object.assign({}, item);
    },
    showIncome(i) {
      this.obj = Object.assign({}, i);
      this.$router.push({
        path: `/income-locker`,
        query: { payload: this.obj },
      });
    },
  },
};
</script>

<style>
</style>